Subject: [Idr] draft-djsmith-bgp-flowspec

From: Kireeti Kompella <[email-masked]>
Date: Mon, 26 Mar 2012 01:24:55 -0700

Hi,

[disclaimer: striving for accuracy, not PC-ness; probably won't achieve either]

I'd rephrase the problem as: there is no a priori reason that the originator of a BGP route ("hey, I have a good path to the destination") should be the same as the originator of the flowspec route ("hey, I know what policy to apply to traffic matching, among other things, this dest prefix"). These are quite orthogonal functions. 

IOW, the authors of the excellent RFC 5575 overstated the validation rules, and the above draft fixes this. BTW, this applies to both e- and i-BGP; in fact , perhaps more so to e-BGP, as policies in different ASs may be quite different. 

I support the draft; I would suggest the authors include the above in a more accurate and PC phrasing [to forestall the question: what breaks if you change the validation rules?]

Kireeti